{ final, prev, ... }:
let old = prev.eww;
in final.rustPlatform.buildRustPackage rec {
  pname = "eww";
  version = "ebe5f349d184e79edc33199d064d9ec5f1e4dd9b";

  src = prev.fetchFromGitHub {
    owner = "elkowar";
    repo = "eww";
    rev = "${version}";
    hash = "sha256-WcAWIvIdGE0tcS7WJ6JlbRlUnKvpvut500NozUmJ6jY=";
  };

  cargoHash = "sha256-8n21FN6uNj/y/PhCDzpB+1ZifIbpjn4d2YPy4vTcVBM=";

  nativeBuildInputs = old.nativeBuildInputs;
  buildInputs = old.buildInputs ++ [ final.libdbusmenu-gtk3 ];

  cargoBuildFlags = old.cargoBuildFlags;
  cargoTestFlags = old.cargoTestFlags;

  RUSTC_BOOTSTRAP = 1;
}
